创建对话补全
curl --request POST \
--url https://www.anyfast.com.cn/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "glm-5.3",
"messages": [
{
"role": "user",
"content": "设计一个多地域可靠任务队列。"
}
],
"thinking": {
"type": "enabled"
},
"reasoning_effort": "max",
"max_tokens": 4096
}
'import requests
url = "https://www.anyfast.com.cn/v1/chat/completions"
payload = {
"model": "glm-5.3",
"messages": [
{
"role": "user",
"content": "设计一个多地域可靠任务队列。"
}
],
"thinking": { "type": "enabled" },
"reasoning_effort": "max",
"max_tokens": 4096
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'glm-5.3',
messages: [{role: 'user', content: '设计一个多地域可靠任务队列。'}],
thinking: {type: 'enabled'},
reasoning_effort: 'max',
max_tokens: 4096
})
};
fetch('https://www.anyfast.com.cn/v1/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"model": "glm-5.3",
"choices": [
{
"index": 123,
"message": {
"role": "assistant",
"reasoning_content": "<string>",
"content": "<string>"
},
"finish_reason": "<string>"
}
],
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123,
"completion_tokens_details": {}
}
}Zhipu
GLM-5.3
GLM-5.3 始终启用思考,响应的 reasoning_content 包含推理内容。
POST
/
v1
/
chat
/
completions
创建对话补全
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
glm-5.3 Minimum array length:
1Show child attributes
Show child attributes
可省略;若传入,仅支持 enabled。
Show child attributes
Show child attributes
Available options:
low, high, max Required range:
1 <= x <= 131072Required range:
0 <= x <= 1Required range:
0 <= x <= 1Maximum array length:
4